<?xml version="1.0" encoding="UTF-8"?>
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="tt_tb_tratruoc" language="groovy" pageWidth="900" pageHeight="842" whenNoDataType="AllSectionsNoDetail" columnWidth="900" leftMargin="0" rightMargin="0" topMargin="0" bottomMargin="0" isIgnorePagination="true">
	<property name="ireport.zoom" value="1.2100000000000009"/>
	<property name="ireport.x" value="0"/>
	<property name="ireport.y" value="58"/>
	<property name="ireport.scriptlethandling" value="0"/>
	<subDataset name="f01">
		<queryString>
			<![CDATA[select to_char(sysdate,'dd') ngay1, to_char(sysdate,'mm') thang1, to_char(sysdate,'yyyy') nam1, to_char(sysdate,'dd/mm/yyyy') ngay_tt1 from dual]]>
		</queryString>
	</subDataset>
	<parameter name="NEO_SQL_META_MAP" class="java.lang.Object"/>
	<parameter name="pstime" class="java.lang.String"/>
	<parameter name="datefrom" class="java.lang.String"/>
	<parameter name="dateto" class="java.lang.String"/>
	<parameter name="pstu_denngay" class="java.lang.String"/>
	<parameter name="typename" class="java.lang.String"/>
	<queryString>
		<![CDATA[begin ?:= admin_v2.aq_invoice.rpt_data_anpham_func('{p0datefrom}','{p0dateto}','{p0Tinh}','{p0type}','{p0userid}','1');end;]]>
	</queryString>
	<field name="stt" class="java.lang.Number"/>
	<field name="files" class="java.lang.String"/>
	<field name="ma_kh" class="java.lang.String"/>
	<field name="create_user" class="java.lang.String"/>
	<field name="create_date" class="java.lang.String"/>
	<field name="tentinh" class="java.lang.String"/>
	<field name="file_status" class="java.lang.String"/>
	<field name="ma_tn" class="java.lang.String"/>
	<field name="sotien" class="java.lang.Number"/>
	<field name="khuvuc" class="java.lang.String"/>
	<field name="end_date" class="java.lang.String"/>
	<variable name="stt_1" class="java.lang.Integer" calculation="Count">
		<variableExpression><![CDATA[$F{stt}]]></variableExpression>
	</variable>
	<variable name="stt_2" class="java.lang.Integer" calculation="Count">
		<variableExpression><![CDATA[$F{stt}]]></variableExpression>
	</variable>
	<variable name="sum_tinh" class="java.lang.Integer" resetType="Group" resetGroup="prt_group_tinh" calculation="Count">
		<variableExpression><![CDATA[$F{stt}]]></variableExpression>
	</variable>
	<group name="prt_group_tinh">
		<groupExpression><![CDATA[$F{tentinh}]]></groupExpression>
		<groupHeader>
			<band height="56">
				<staticText>
					<reportElement x="41" y="40" width="66" height="15"/>
					<box>
						<pen lineWidth="0.25"/>
						<topPen lineWidth="0.25"/>
						<leftPen lineWidth="0.25"/>
						<bottomPen lineWidth="0.25"/>
						<rightPen lineWidth="0.25"/>
					</box>
					<textElement textAlignment="Center" verticalAlignment="Middle">
						<font fontName="Times New Roman" size="12" isBold="true" pdfFontName="Times-Roman" pdfEncoding="Identity-H" isPdfEmbedded="true"/>
					</textElement>
					<text><![CDATA[STT]]></text>
				</staticText>
				<staticText>
					<reportElement x="107" y="40" width="283" height="15"/>
					<box>
						<pen lineWidth="0.25"/>
						<topPen lineWidth="0.25"/>
						<leftPen lineWidth="0.25"/>
						<bottomPen lineWidth="0.25"/>
						<rightPen lineWidth="0.25"/>
					</box>
					<textElement textAlignment="Center" verticalAlignment="Middle">
						<font fontName="Times New Roman" size="12" isBold="true" pdfFontName="Times-Roman" pdfEncoding="Identity-H" isPdfEmbedded="true"/>
					</textElement>
					<text><![CDATA[Tên file]]></text>
				</staticText>
				<staticText>
					<reportElement x="778" y="40" width="87" height="15"/>
					<box>
						<pen lineWidth="0.25"/>
						<topPen lineWidth="0.25"/>
						<leftPen lineWidth="0.25"/>
						<bottomPen lineWidth="0.25"/>
						<rightPen lineWidth="0.25"/>
					</box>
					<textElement textAlignment="Center" verticalAlignment="Middle">
						<font fontName="Times New Roman" size="12" isBold="true" pdfFontName="Times-Roman" pdfEncoding="Identity-H" isPdfEmbedded="true"/>
					</textElement>
					<text><![CDATA[Trạng thái]]></text>
				</staticText>
				<staticText>
					<reportElement x="390" y="40" width="119" height="15"/>
					<box>
						<pen lineWidth="0.25"/>
						<topPen lineWidth="0.25"/>
						<leftPen lineWidth="0.25"/>
						<bottomPen lineWidth="0.25"/>
						<rightPen lineWidth="0.25"/>
					</box>
					<textElement textAlignment="Center" verticalAlignment="Middle">
						<font fontName="Times New Roman" size="12" isBold="true" pdfFontName="Times-Roman" pdfEncoding="Identity-H" isPdfEmbedded="true"/>
					</textElement>
					<text><![CDATA[Người tạo]]></text>
				</staticText>
				<staticText>
					<reportElement x="509" y="40" width="151" height="15"/>
					<box>
						<pen lineWidth="0.25"/>
						<topPen lineWidth="0.25"/>
						<leftPen lineWidth="0.25"/>
						<bottomPen lineWidth="0.25"/>
						<rightPen lineWidth="0.25"/>
					</box>
					<textElement textAlignment="Center" verticalAlignment="Middle">
						<font fontName="Times New Roman" size="12" isBold="true" pdfFontName="Times-Roman" pdfEncoding="Identity-H" isPdfEmbedded="true"/>
					</textElement>
					<text><![CDATA[Ngày tạo]]></text>
				</staticText>
				<textField isBlankWhenNull="true">
					<reportElement x="107" y="20" width="758" height="20"/>
					<box>
						<pen lineWidth="0.25"/>
						<topPen lineWidth="0.25"/>
						<leftPen lineWidth="0.25"/>
						<bottomPen lineWidth="0.25"/>
						<rightPen lineWidth="0.25"/>
					</box>
					<textElement verticalAlignment="Middle">
						<font fontName="Times New Roman" size="13" isBold="true"/>
					</textElement>
					<textFieldExpression><![CDATA[$F{tentinh}]]></textFieldExpression>
				</textField>
				<staticText>
					<reportElement x="41" y="20" width="66" height="20"/>
					<box>
						<pen lineWidth="0.25"/>
						<topPen lineWidth="0.25"/>
						<leftPen lineWidth="0.25"/>
						<bottomPen lineWidth="0.25"/>
						<rightPen lineWidth="0.25"/>
					</box>
					<textElement textAlignment="Center" verticalAlignment="Middle">
						<font fontName="Times New Roman" size="13" isBold="true"/>
					</textElement>
					<text><![CDATA[Tỉnh:]]></text>
				</staticText>
				<staticText>
					<reportElement x="660" y="40" width="118" height="15"/>
					<box>
						<pen lineWidth="0.25"/>
						<topPen lineWidth="0.25"/>
						<leftPen lineWidth="0.25"/>
						<bottomPen lineWidth="0.25"/>
						<rightPen lineWidth="0.25"/>
					</box>
					<textElement textAlignment="Center" verticalAlignment="Middle">
						<font fontName="Times New Roman" size="12" isBold="true"/>
					</textElement>
					<text><![CDATA[Ngày hoàn thành]]></text>
				</staticText>
				<textField isBlankWhenNull="true">
					<reportElement x="107" y="0" width="758" height="20"/>
					<box>
						<pen lineWidth="0.25"/>
						<topPen lineWidth="0.25"/>
						<leftPen lineWidth="0.25"/>
						<bottomPen lineWidth="0.25"/>
						<rightPen lineWidth="0.25"/>
					</box>
					<textElement verticalAlignment="Middle">
						<font fontName="Times New Roman" size="13" isBold="true"/>
					</textElement>
					<textFieldExpression><![CDATA[$F{khuvuc}]]></textFieldExpression>
				</textField>
				<staticText>
					<reportElement x="41" y="0" width="66" height="20"/>
					<box>
						<pen lineWidth="0.25"/>
						<topPen lineWidth="0.25"/>
						<leftPen lineWidth="0.25"/>
						<bottomPen lineWidth="0.25"/>
						<rightPen lineWidth="0.25"/>
					</box>
					<textElement textAlignment="Center" verticalAlignment="Middle">
						<font fontName="Times New Roman" size="13" isBold="true"/>
					</textElement>
					<text><![CDATA[Khu vực:]]></text>
				</staticText>
			</band>
		</groupHeader>
		<groupFooter>
			<band height="40">
				<staticText>
					<reportElement x="41" y="0" width="737" height="20"/>
					<box>
						<pen lineWidth="0.25"/>
						<topPen lineWidth="0.25"/>
						<leftPen lineWidth="0.25"/>
						<bottomPen lineWidth="0.25"/>
						<rightPen lineWidth="0.25"/>
					</box>
					<textElement textAlignment="Right" verticalAlignment="Middle">
						<font fontName="Times New Roman" size="12" isBold="true"/>
					</textElement>
					<text><![CDATA[Tổng tỉnh:]]></text>
				</staticText>
				<textField pattern="#,##0" isBlankWhenNull="true">
					<reportElement x="778" y="0" width="87" height="20"/>
					<box>
						<pen lineWidth="0.25"/>
						<topPen lineWidth="0.25"/>
						<leftPen lineWidth="0.25"/>
						<bottomPen lineWidth="0.25"/>
						<rightPen lineWidth="0.25"/>
					</box>
					<textElement textAlignment="Right" verticalAlignment="Middle">
						<font fontName="Times New Roman" isBold="true"/>
					</textElement>
					<textFieldExpression><![CDATA[$V{sum_tinh}]]></textFieldExpression>
				</textField>
				<staticText>
					<reportElement x="41" y="20" width="824" height="20"/>
					<textElement/>
					<text><![CDATA[]]></text>
				</staticText>
			</band>
		</groupFooter>
	</group>
	<background>
		<band splitType="Stretch"/>
	</background>
	<title>
		<band height="165" splitType="Stretch">
			<image>
				<reportElement x="90" y="37" width="163" height="54"/>
				<imageExpression><![CDATA["images\\vinaphone_logo.png"]]></imageExpression>
			</image>
			<staticText>
				<reportElement x="538" y="23" width="341" height="14"/>
				<box>
					<pen lineWidth="0.0"/>
					<topPen lineWidth="0.0"/>
					<leftPen lineWidth="0.0"/>
					<bottomPen lineWidth="0.0"/>
					<rightPen lineWidth="0.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" isBold="false" pdfEncoding="Identity-H" isPdfEmbedded="true"/>
				</textElement>
				<text><![CDATA[Cộng hòa xã hội chủ nghĩa việt Nam]]></text>
			</staticText>
			<staticText>
				<reportElement x="538" y="37" width="341" height="14"/>
				<box>
					<pen lineWidth="0.0"/>
					<topPen lineWidth="0.0"/>
					<leftPen lineWidth="0.0"/>
					<bottomPen lineWidth="0.0"/>
					<rightPen lineWidth="0.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" isBold="false" pdfEncoding="Identity-H" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[độc lập tự do hạnh phúc]]></text>
			</staticText>
			<staticText>
				<reportElement x="538" y="51" width="341" height="14"/>
				<box>
					<pen lineWidth="0.0"/>
					<topPen lineWidth="0.0"/>
					<leftPen lineWidth="0.0"/>
					<bottomPen lineWidth="0.0"/>
					<rightPen lineWidth="0.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" isBold="false"/>
				</textElement>
				<text><![CDATA[-------------o0o-------------]]></text>
			</staticText>
			<staticText>
				<reportElement x="0" y="100" width="900" height="30"/>
				<box>
					<pen lineWidth="0.0"/>
					<topPen lineWidth="0.0"/>
					<leftPen lineWidth="0.0"/>
					<bottomPen lineWidth="0.0"/>
					<rightPen lineWidth="0.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="18" isBold="true"/>
				</textElement>
				<text><![CDATA[BÁO CÁO TẠO ẤN PHẨM]]></text>
			</staticText>
			<staticText>
				<reportElement x="339" y="130" width="51" height="20"/>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font fontName="Times New Roman"/>
				</textElement>
				<text><![CDATA[Từ ngày :]]></text>
			</staticText>
			<staticText>
				<reportElement x="453" y="130" width="51" height="20"/>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font fontName="Times New Roman"/>
				</textElement>
				<text><![CDATA[đến ngày :]]></text>
			</staticText>
			<textField>
				<reportElement x="390" y="130" width="63" height="20"/>
				<textElement verticalAlignment="Middle">
					<font fontName="Times New Roman"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{datefrom}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="504" y="130" width="100" height="20"/>
				<textElement verticalAlignment="Middle">
					<font fontName="Times New Roman"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{dateto}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="538" y="77" width="341" height="20"/>
				<textElement textAlignment="Center">
					<font fontName="Times New Roman" size="12"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{pstime}]]></textFieldExpression>
			</textField>
		</band>
	</title>
	<pageHeader>
		<band splitType="Stretch"/>
	</pageHeader>
	<columnHeader>
		<band splitType="Stretch"/>
	</columnHeader>
	<detail>
		<band height="15" splitType="Stretch">
			<textField isStretchWithOverflow="true">
				<reportElement stretchType="RelativeToBandHeight" x="41" y="0" width="66" height="15" isPrintWhenDetailOverflows="true"/>
				<box>
					<pen lineWidth="0.25"/>
					<topPen lineWidth="0.25"/>
					<leftPen lineWidth="0.25"/>
					<bottomPen lineWidth="0.25"/>
					<rightPen lineWidth="0.25"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{prt_group_tinh_COUNT}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="107" y="0" width="283" height="15"/>
				<box>
					<pen lineWidth="0.25"/>
					<topPen lineWidth="0.25"/>
					<leftPen lineWidth="0.25"/>
					<bottomPen lineWidth="0.25"/>
					<rightPen lineWidth="0.25"/>
				</box>
				<textElement verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{files}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement x="778" y="0" width="87" height="15"/>
				<box>
					<pen lineWidth="0.25"/>
					<topPen lineWidth="0.25"/>
					<leftPen lineWidth="0.25"/>
					<bottomPen lineWidth="0.25"/>
					<rightPen lineWidth="0.25"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{file_status}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="390" y="0" width="119" height="15"/>
				<box>
					<pen lineWidth="0.25"/>
					<topPen lineWidth="0.25"/>
					<leftPen lineWidth="0.25"/>
					<bottomPen lineWidth="0.25"/>
					<rightPen lineWidth="0.25"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{create_user}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="509" y="0" width="151" height="15"/>
				<box leftPadding="2" rightPadding="2">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{create_date}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement x="660" y="0" width="118" height="15"/>
				<box>
					<pen lineWidth="0.25"/>
					<topPen lineWidth="0.25"/>
					<leftPen lineWidth="0.25"/>
					<bottomPen lineWidth="0.25"/>
					<rightPen lineWidth="0.25"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{end_date}]]></textFieldExpression>
			</textField>
		</band>
	</detail>
	<columnFooter>
		<band splitType="Stretch"/>
	</columnFooter>
	<pageFooter>
		<band splitType="Stretch"/>
	</pageFooter>
	<summary>
		<band height="210">
			<staticText>
				<reportElement x="499" y="12" width="341" height="20"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" isBold="true"/>
				</textElement>
				<text><![CDATA[ĐẠI DIỆN VNP]]></text>
			</staticText>
			<staticText>
				<reportElement x="41" y="12" width="308" height="20"/>
				<textElement textAlignment="Center">
					<font fontName="Times New Roman" size="12" isBold="true"/>
				</textElement>
				<text><![CDATA[ĐẠI DIỆN VTT/TP]]></text>
			</staticText>
			<staticText>
				<reportElement x="41" y="32" width="799" height="158"/>
				<textElement/>
				<text><![CDATA[]]></text>
			</staticText>
		</band>
	</summary>
</jasperReport>
